OpenTTD Source: NetworkTurnConnecter Class Reference

OpenTTD Source 12.0-beta1

Public Member Functions | Private Attributes
NetworkTurnConnecter Class Reference

Connect to the TURN server. More...

Inheritance diagram for NetworkTurnConnecter:

## Public Member Functions
| NetworkTurnConnecter (ClientNetworkTurnSocketHandler *handler, const std::string &connection_string)
| Initiate the connecting. More...
void | OnFailure () override
| Callback for when the connection attempt failed.
void | OnConnect (SOCKET s) override
| Callback when the connection succeeded. More...
Public Member Functions inherited from TCPConnecter
| TCPConnecter (const std::string &connection_string, uint16 default_port, NetworkAddress bind_address={}, int family=AF_UNSPEC)
| Create a new connecter for the given address. More...
void | Kill ()
| Kill this connecter. More...

## Private Attributes
ClientNetworkTurnSocketHandler * | handler

## Additional Inherited Members
Static Public Member Functions inherited from TCPConnecter
static void | CheckCallbacks ()
| Check whether we need to call the callback, i.e. More...
static void | KillAll ()
| Kill all connection attempts.

## Detailed Description

Connect to the TURN server.

Definition at line 22 of file network_turn.cpp.

## Constructor & Destructor Documentation

## ◆ NetworkTurnConnecter()

NetworkTurnConnecter::NetworkTurnConnecter | ( | ClientNetworkTurnSocketHandler * | handler,
|  | const std::string & | connection_string
| ) |  |
| inline

Initiate the connecting.

Parameters

  connection_string | The address of the TURN server.

Definition at line 31 of file network_turn.cpp.

## Member Function Documentation

## ◆ OnConnect()

void NetworkTurnConnecter::OnConnect | ( | SOCKET | s | ) |
| inlineoverridevirtual

Callback when the connection succeeded.

Parameters

  s | the socket that we opened

Reimplemented from TCPConnecter.

Definition at line 40 of file network_turn.cpp.

References ClientNetworkTurnSocketHandler::connecter, and NetworkTCPSocketHandler::sock.

The documentation for this class was generated from the following file:

- src/network/network_turn.cpp